#!/system/bin/sh

if which su > /dev/null 2>&1; then
    status="Advance"
else
    status="Simple"
fi

echo "
█▀▀ █▀ █   ▀█▀ █░█ █▄░█ █ █▄░█ █▀▀
█▄█ ▄█ █   ░█░ █▄█ █░▀█ █ █░▀█ █▄█"
echo ""
sleep 1
echo "Execution Mode : $status"
sleep 2
(
settprops=(
"debug.sf.layer_smoothness 5"
"debug.hwui.use_buffer_age true"
"debug.hwc.force_gpu 0"
"debug.hwui.disable_vsync 1"
"debug.hwui.renderthread 0"
"debug.hwui.use_gl_trace 0"
"debug.qsg_renderer qsggl"
"debug.overlayui.enable 1"
"debug.disable.hwacc 0"
"debug.egl.hw 0"
"debug.hwui.render_priority 1"
"debug.sf.protected_contents true"
"debug.hwui.use_dvfs true"
"debug.hwui.overdraw false"
"debug.sqlite.journalsizelimit 1mb"
"debug.egl.force_msaa false"
"debug.egl.force_fxaa false"
"debug.egl.force_taa false"
"debug.egl.force_smaa false"
"debug.egl.force_txaa false"
"debug.hwui.fps_divisor 0"
"debug.sf.support_kernel_idle_timer_enabled false"
"debug.sf.predict_hwc_composition_strategy 1"
"debug.sf.enable_transaction_tracing true"
"debug.sf.show_predicted_vsync false"
"debug.sf.vsync_reactor_ignore_present_feces false"
"debug.forceAutoTextureCompression 1"
"logd.ready false"
"log.tag.stats_log 0"
"debug.sf.enable_transaction_tracing true"
"debug.hwui.capture_skp_frames 2"
"debug.hwui.use_gpu_pixel_buffers true"
"debug.hwui.level 1"
"debug.hwui.use_buffer_age true"
)
systems=(
"render_quality high"
"fast_renderer 1"
)
globals=(
"hardware_accelerated_rendering_enabled 1"
"reduce_transitions 1"
"set_sync_disabled_for_tests persistent"
"heads_up_notifications_disabled_package_list ${1}"
)
for settprop in "${settprops[@]}"; do
setprop $settprop
done
for system in "${systems[@]}"; do
settings put system $system
done
sleep 0.5
for global in "${globals[@]}"; do
settings put global $global
done
)> /dev/null 2>&1
#AxeronCore/Adaptor
axeron_core=$(cat <<-EOF
Optione {
key:title="GSI X AXERON REBORN";
key:dev="HenVx (Hendi)";
key:desc="This module improves the performance of the device when playing the game you choose";
key:parentApp="$1";
}
EOF
)

echo "Please Wait..."
path="/sdcard/GSI"
sh ${path}/Core/AxeronCore.sh "$axeron_core"  "$path" "$1"